OpenMesh: OpenMesh::IO::BaseExporter Class Reference

| OpenMesh

Public Member Functions | List of all members
OpenMesh::IO::BaseExporter Class Referenceabstract

Base class for exporter modules. More...

`#include <OpenMesh/Core/IO/exporter/BaseExporter.hh>`

Inheritance diagram for OpenMesh::IO::BaseExporter:
[legend]

## Public Member Functions
virtual Vec3f | point (VertexHandle _vh) const =0
virtual Vec3d | pointd (VertexHandle _vh) const =0
virtual bool | is_point_double () const =0
virtual Vec3f | normal (VertexHandle _vh) const =0
virtual Vec3d | normald (VertexHandle _vh) const =0
virtual bool | is_normal_double () const =0
virtual Vec3uc | color (VertexHandle _vh) const =0
virtual Vec4uc | colorA (VertexHandle _vh) const =0
virtual Vec3ui | colori (VertexHandle _vh) const =0
virtual Vec4ui | colorAi (VertexHandle _vh) const =0
virtual Vec3f | colorf (VertexHandle _vh) const =0
virtual Vec4f | colorAf (VertexHandle _vh) const =0
virtual Vec2f | texcoord (VertexHandle _vh) const =0
virtual Vec2f | texcoord (HalfedgeHandle _heh) const =0
virtual OpenMesh::Attributes::StatusInfo | status (VertexHandle _vh) const =0
virtual unsigned int | get_vhandles (FaceHandle _fh, std::vector< VertexHandle > &_vhandles) const =0
virtual HalfedgeHandle | getHeh (FaceHandle _fh, VertexHandle _vh) const =0
| getHeh returns the HalfEdgeHandle that belongs to the face specified by _fh and has a toVertexHandle that corresponds to _vh. More...
virtual unsigned int | get_face_texcoords (std::vector< Vec2f > &_hehandles) const =0
virtual Vec3f | normal (FaceHandle _fh) const =0
virtual Vec3d | normald (FaceHandle _fh) const =0
virtual Vec3uc | color (FaceHandle _fh) const =0
virtual Vec4uc | colorA (FaceHandle _fh) const =0
virtual Vec3ui | colori (FaceHandle _fh) const =0
virtual Vec4ui | colorAi (FaceHandle _fh) const =0
virtual Vec3f | colorf (FaceHandle _fh) const =0
virtual Vec4f | colorAf (FaceHandle _fh) const =0
virtual OpenMesh::Attributes::StatusInfo | status (FaceHandle _fh) const =0
virtual Vec3uc | color (EdgeHandle _eh) const =0
virtual Vec4uc | colorA (EdgeHandle _eh) const =0
virtual Vec3ui | colori (EdgeHandle _eh) const =0
virtual Vec4ui | colorAi (EdgeHandle _eh) const =0
virtual Vec3f | colorf (EdgeHandle _eh) const =0
virtual Vec4f | colorAf (EdgeHandle _eh) const =0
virtual OpenMesh::Attributes::StatusInfo | status (EdgeHandle _eh) const =0
virtual int | get_halfedge_id (VertexHandle _vh)=0
virtual int | get_halfedge_id (FaceHandle _vh)=0
virtual int | get_next_halfedge_id (HalfedgeHandle _heh)=0
virtual int | get_to_vertex_id (HalfedgeHandle _heh)=0
virtual int | get_face_id (HalfedgeHandle _heh)=0
virtual OpenMesh::Attributes::StatusInfo | status (HalfedgeHandle _heh) const =0
virtual const BaseKernel * | kernel ()
virtual size_t | n_vertices () const =0
virtual size_t | n_faces () const =0
virtual size_t | n_edges () const =0
virtual bool | is_triangle_mesh () const
virtual bool | has_vertex_normals () const
virtual bool | has_vertex_colors () const
virtual bool | has_vertex_status () const
virtual bool | has_vertex_texcoords () const
virtual bool | has_edge_colors () const
virtual bool | has_edge_status () const
virtual bool | has_halfedge_status () const
virtual bool | has_face_normals () const
virtual bool | has_face_colors () const
virtual bool | has_face_status () const

## Detailed Description

Base class for exporter modules.

The exporter modules provide an interface between the writer modules and the target data structure.

## Member Function Documentation

## ◆ getHeh()

virtual HalfedgeHandle OpenMesh::IO::BaseExporter::getHeh | ( | FaceHandle | _fh,
|  | VertexHandle | _vh
| ) |  | const
| pure virtual

getHeh returns the HalfEdgeHandle that belongs to the face specified by _fh and has a toVertexHandle that corresponds to _vh.

Parameters

  _fh | FaceHandle that is used to search for the half edge handle
  _vh | to_vertex_handle of the searched heh

Returns
  HalfEdgeHandle or invalid HalfEdgeHandle if none is found.

Implemented in OpenMesh::IO::ExporterT< Mesh >.

The documentation for this class was generated from the following file:

- OpenMesh/Core/IO/exporter/BaseExporter.hh